> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nox.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Devices Pv Production Forecast Realtime

> Get the aggregated realtime PV production forecast for all devices associated with your energy
 supplier account in kWh with 15min granularity.


 The forecast window is computed server-side and covers the past 15 minutes up to 24 hours
 ahead from the moment of the request.


 The timestamp refers to the data that will happen
 in the next 15 minutes after the timestamp.


 All timestamps are in UTC.



## OpenAPI

````yaml /api-docs/pv/openapi-pv.json get /v1/devices/pv/production/forecast/realtime
openapi: 3.1.0
info:
  title: NOX Energy API - PV
  description: >
    # PV API Documentation


    This documentation shows only the endpoints available to pv users.


    ## Authentication


    1. Get your API key from [NOX Energy](mailto:support@nox.energy).

    2. Include the API key in your API calls with the header: `x-api-key:
    YOUR_API_KEY`.


    ## Access Level


    This documentation is specifically for **pv users** who have access to these
    endpoints.


    Base URL: [https://api.nox.energy](https://api.nox.energy)
  version: 1.0.0
servers:
  - url: https://api.nox.energy
    description: Production Server
security:
  - ApiKeyAuth: []
tags:
  - name: Asset Info
    description: API to get basic information about your assets.
  - name: User Management
    description: API endpoints to manage users and their data.
paths:
  /v1/devices/pv/production/forecast/realtime:
    get:
      tags:
        - Device Production
      summary: Get Devices Pv Production Forecast Realtime
      description: >-
        Get the aggregated realtime PV production forecast for all devices
        associated with your energy
         supplier account in kWh with 15min granularity.


         The forecast window is computed server-side and covers the past 15 minutes up to 24 hours
         ahead from the moment of the request.


         The timestamp refers to the data that will happen
         in the next 15 minutes after the timestamp.


         All timestamps are in UTC.
      operationId: >-
        get_devices_pv_production_forecast_realtime_v1_devices_pv_production_forecast_realtime_get
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PVPForecastRealtimeResponse'
              example:
                data:
                  - forecast_time: '2025-05-01T07:45:00.000Z'
                    production: 12.5
                  - forecast_time: '2025-05-01T08:00:00.000Z'
                    production: 14.75
                meta:
                  energy_supplier: Energy Supplier A
                  production_unit: kWh
                  granularity: 15min
                  output_timezone: UTC
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PVPForecastRealtimeResponse:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/PVPForecastRealtimeData'
              type: array
            - type: 'null'
          title: Data
          description: List of forecast data points
        meta:
          anyOf:
            - $ref: '#/components/schemas/PVPForecastRealtimeMeta'
            - type: 'null'
          description: Response metadata
      type: object
      title: PVPForecastRealtimeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PVPForecastRealtimeData:
      properties:
        forecast_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Forecast Time
          description: Timestamp of the forecast interval
        production:
          anyOf:
            - type: number
            - type: 'null'
          title: Production
          description: Aggregated PV forecast production value in kWh
      type: object
      title: PVPForecastRealtimeData
    PVPForecastRealtimeMeta:
      properties:
        energy_supplier:
          anyOf:
            - type: string
            - type: 'null'
          title: Energy Supplier
          description: Energy supplier name
        production_unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Production Unit
          description: Unit of the production values, e.g. kWh
        granularity:
          anyOf:
            - type: string
            - type: 'null'
          title: Granularity
          description: Granularity of the data in minutes.
        output_timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Timezone
          description: Timezone of the output data.
      type: object
      title: PVPForecastRealtimeMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key authentication. Enter your API key in the format: YOUR_API_KEY'

````